curl --request PATCH \
--url https://api.nexrender.com/api/v2/templates/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "<string>"
}
'import requests
url = "https://api.nexrender.com/api/v2/templates/{id}"
payload = { "displayName": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({displayName: '<string>'})
};
fetch('https://api.nexrender.com/api/v2/templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"type": "<string>",
"displayName": "<string>",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"compositions": [
"<string>"
],
"layers": [
"<string>"
],
"mogrt": {},
"error": "<string>",
"uploadInfo": {
"url": "<string>",
"method": "PUT",
"expiresIn": 123,
"key": "<string>",
"fields": {}
}
}{
"error": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}Update template
Update modifiable properties of an existing template
Authorizations
Bearer token authentication using API tokens for team-based access control.
You can generate your own API token at: https://app.nexrender.com/settings/api-tokens
Path Parameters
Unique template identifier to update
Body
Fields that can be updated for an existing template
Updated human-readable name for the template
Response
Template successfully updated
Complete template object with metadata, processing status, and content information
Unique template identifier used for referencing in jobs and API operations
Template file format (aep, zip, or mogrt)
Human-readable name displayed in UI and template listings
Current processing status (awaiting_upload, processing, uploaded, error)
ISO timestamp when the template was initially created
ISO timestamp of the most recent template modification
List of compositions found within the template that can be rendered
Individual composition name available for rendering
List of layers available for asset replacement and manipulation
Individual layer name within the template
Motion Graphics Template specific metadata and properties
Error message if template processing or validation failed (null if successful)
Presigned upload URL and metadata for securely uploading template files to cloud storage
Show child attributes
Show child attributes
Was this page helpful?

